Index: trunk/locker/deploy/bin/onathena
===================================================================
--- trunk/locker/deploy/bin/onathena	(revision 1488)
+++ trunk/locker/deploy/bin/onathena	(revision 1497)
@@ -1,3 +1,8 @@
 #!/bin/sh
+
+: ${aicontact:=scripts@mit.edu}
+: ${aimaintainer:=scripts.mit.edu}
+: ${ailocker:=scripts}
+
 
 checkfailed() {
@@ -12,20 +17,21 @@
   echo "Sorry, the installation failed:"
   echo "$@"
-  echo "Please contact scripts@mit.edu and provide a copy of the output of this installer."
+  echo "Please contact $aicontact and provide a copy of the output of this installer."
   exit 1
 }
 
 attach scripts
+[ "$ailocker" != "scripts" ] && attach "$ailocker"
 
 sshrun() {
-  /afs/athena.mit.edu/contrib/scripts/bin$scriptsdev/scripts-ssh "$lname" "/mit/scripts/$@" 2>/dev/null
+  /afs/athena.mit.edu/contrib/scripts/bin$scriptsdev/scripts-ssh "$lname" "$@" 2>/dev/null
 }
 
 vsshrun() {
-  /afs/athena.mit.edu/contrib/scripts/bin$scriptsdev/scripts-ssh "$lname" "/mit/scripts/$@"
+  /afs/athena.mit.edu/contrib/scripts/bin$scriptsdev/scripts-ssh "$lname" "$@"
 }
 
 checksqlpass() {
-    errors=`sshrun "sql/bin$scriptsdev/test-password"`
+    errors=`sshrun "/mit/scripts/sql/bin$scriptsdev/test-password"`
     if [ "$errors" != "" ]; then
         if [ "$1" -eq 1 ]; then
@@ -41,13 +47,13 @@
 override=1
 if [ "$override" = "" ]; then
-echo "The scripts.mit.edu automatic installers are currently unavailable."
+echo "The $aimaintainer automatic installers are currently unavailable."
 echo "We hope to make them available again soon."
 echo "If you would like us to notify you as soon as they are available again,"
-echo "let us know by sending us an e-mail at scripts@mit.edu"
+echo "let us know by sending us an e-mail at $aicontact"
 exit 
 fi
 
 echo 
-echo "== Welcome to the scripts.mit.edu installer for $sname =="
+echo "== Welcome to the $aimaintainer installer for $sname =="
 echo
 
@@ -55,5 +61,5 @@
 echo "see <http://scripts.mit.edu/start>."
 echo
-echo "Please report problems with this installer to scripts@mit.edu."
+echo "Please report problems with this installer to $aicontact."
 echo
 echo "Are you performing this install for:"
@@ -118,5 +124,5 @@
     echo "You already have a directory corresponding to that web address."
     echo "Please remove that directory, choose a different address, or"
-    echo "contact scripts@mit.edu for assistance."
+    echo "contact $aicontact for assistance."
     exit 1
 fi
@@ -137,5 +143,5 @@
 
 if [ "$requires_sql" -eq 1 ]; then
-  sqlinfo=`sshrun "sql/bin$scriptsdev/get-password"`
+  sqlinfo=`sshrun "/mit/scripts/sql/bin$scriptsdev/get-password"`
   if [ "$sqlinfo" = "" ]; then
       echo 
@@ -203,5 +209,5 @@
 
 if [ "$wizard" != "" ]; then
-  vsshrun "wizard/bin/wizard" "install" "$@" "$wizard" "$lroot/web_scripts/$addrend"
+  vsshrun "/mit/$ailocker/wizard/bin/wizard" "install" "$@" "$wizard" "$lroot/web_scripts/$addrend"
   exit 0
 fi
@@ -234,5 +240,5 @@
 if [ "$prompt_password" -eq 1 ]; then
     stty -echo
-    sshrun "deploy$scriptsdev/bin/prompt-password" "$sname" "$deploy" "$addrend" "$admin_username"
+    sshrun "/mit/$ailocker/deploy$scriptsdev/bin/prompt-password" "$sname" "$deploy" "$addrend" "$admin_username"
     stty echo
 fi
@@ -241,5 +247,5 @@
 echo "Unpacking $sname... (this step might take several minutes)"
 # xavid: use p to keep the same permissions as in the file
-athrun scripts gtar zxpf "/mit/scripts/deploy$scriptsdev/$deploy.tar.gz"
+athrun scripts gtar zxpf "/mit/$ailocker/deploy$scriptsdev/$deploy.tar.gz"
 files=`athrun scripts gfind . -mindepth 1 -maxdepth 1 | grep -v .admin`
 numfiles=`echo "$files" | wc -l`
@@ -250,12 +256,12 @@
     fi
 fi
-if [ -f "/mit/scripts/deploy$scriptsdev/php.ini/$deploy" ]; then
+if [ -f "/mit/$ailocker/deploy$scriptsdev/php.ini/$deploy" ]; then
         nodot=`echo "$lname" | sed "/\./s///"`;
-        sed -e "/SCRIPTS_USER/ s//$lname/" -e "/SCRIPTS_NODOT/ s//$nodot/" "/mit/scripts/deploy$scriptsdev/php.ini/$deploy" > php.ini
+        sed -e "/SCRIPTS_USER/ s//$lname/" -e "/SCRIPTS_NODOT/ s//$nodot/" "/mit/$ailocker/deploy$scriptsdev/php.ini/$deploy" > php.ini
         athrun scripts gfind . -mindepth 1 -type d -exec sh -c 'ln -sf "`echo "$1" | sed '\''s,[^/],,g; s,/,../,g'\''`php.ini" "$1/"' -- {} \;
 fi
 cd "$origdir"
 
-vsshrun "deploy$scriptsdev/bin/$deploy" "$sname" "$deploy" "$addrend" "$admin_username" "$requires_sql" "$scriptsdev" "$USER" || die "Unknown failure during configuration"
+vsshrun "/mit/$ailocker/deploy$scriptsdev/bin/$deploy" "$sname" "$deploy" "$addrend" "$admin_username" "$requires_sql" "$scriptsdev" "$USER" || die "Unknown failure during configuration"
 rm -f "$lroot/web_scripts/$addrend/.scripts-tmp"
 checkfailed
@@ -267,4 +273,4 @@
 echo "(You can replace the http with https if you want to use encryption)"
 echo "If you have trouble accessing it, feel free to contact"
-echo "the scripts.mit.edu team by e-mailing scripts@mit.edu"
+echo "the $aimaintainer team by e-mailing $aicontact"
 exit 0
